Description

Observed an issue in the UI when deleting a filter rule.  The issue was that deleting the rule (e.g. errata id, package group...etc) did

not result in the object being deleted from the list.  After looking at the code, it appears that it expects the object being deleted to be

returned, in order to properly remove it from the list without having to refresh the entire list.

Upon investigation, it appears that the api documentation [1] expects this behavior to exist; therefore, this issue is to update the

katello api to return the filter or rule that was deleted.  This should fix the behavior of the UI as well.

[1] http://theforeman.org/manuals/1.5/index.html#5.1API -> "Delete an object"

Associated revisions

Revision c66621c5 - 03/26/2014 08:41 PM - Brad Buckingham

fixes #4892 - content view filters & rules api - return object on DELETE

When a content view filter or rule is deleted with the API, return

the object that is being deleted.

This is correct behavior according to the API documentation and

is assumed behavior for the UI to properly update lists during

a deletion.

Revision 80484ea1 - 03/27/2014 12:12 AM - Brad Buckingham

Merge pull request #3897 from bbuckingham/issue-4892

fixes #4892 - content view filters & rules api - return object on DELETE

History

#1 - 03/26/2014 10:46 PM - Mike McCune

- Triaged changed from No to Yes

#2 - 03/27/2014 12:52 AM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c66621c5fc7e87bdb1667506f28508e80198237b.

#3 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
